---
title: Chef Habitat 0.76.0 Released
date: 2019-02-28
author: Matthew Peck
tags: release notes
category: product
classes: body-article
---

Habitat 0.76.0 Release Notes

We are happy to announce the release of Chef Habitat 0.76.0. We have a number of new features as well
as bug fixes, so please read on for all the details. If you just want the binaries, head on over to
[Install Chef Habitat](https://www.habitat.sh/docs/using-habitat/#install-habitat).

Thanks again for using Chef Habitat!

---
Full Changelog:

#### Behavioral Changes
- Update ChannelIdent to use env::Config::configured_value where appropriate [#6169](https://github.com/habitat-sh/habitat/pull/6169) ([baumanj](https://github.com/baumanj))

#### Bug Fixes
- fix array handling on windows scaffolding [#6228](https://github.com/habitat-sh/habitat/pull/6228) ([mwrock](https://github.com/mwrock))
  Note: This change to windows scaffolding is to align it with implementation of the Linux scaffolding.  The expectation is that scaffolding should be a single item, however in windows it is currently implemented as an array. This will be a breaking change if you are using windows scaffolding with more than one package in `$pkg_scaffodling()`,  as we now only take into account the first item in that array.
- Fix scaffolding detection for windows. [#6226](https://github.com/habitat-sh/habitat/pull/6226) ([scotthain](https://github.com/scotthain))
- Add scaffolding function back, remove correct loop [#6223](https://github.com/habitat-sh/habitat/pull/6223) ([scotthain](https://github.com/scotthain))

#### Merged Pull Requests
- Fix shellcheck thta was missed somehow [#6216](https://github.com/habitat-sh/habitat/pull/6216) ([scotthain](https://github.com/scotthain))
- Enable build verification steps for native hab builds [#6195](https://github.com/habitat-sh/habitat/pull/6195) ([scotthain](https://github.com/scotthain))
- Enable clippy and shellcheck linting  [#6160](https://github.com/habitat-sh/habitat/pull/6160) ([scotthain](https://github.com/scotthain))
- Add additional nightly rustfmt options [#6175](https://github.com/habitat-sh/habitat/pull/6175) ([raskchanky](https://github.com/raskchanky))
- Refactor the date logic for nightly rust in CI [#6193](https://github.com/habitat-sh/habitat/pull/6193) ([raskchanky](https://github.com/raskchanky))
- Remove test verify branch [#6155](https://github.com/habitat-sh/habitat/pull/6155) ([scotthain](https://github.com/scotthain))
- Correct 0.75.0 release blog date [#6194](https://github.com/habitat-sh/habitat/pull/6194) ([smacfarlane](https://github.com/smacfarlane))
- Update plan-build default_strip behavior [#6189](https://github.com/habitat-sh/habitat/pull/6189) ([smacfarlane](https://github.com/smacfarlane))
- Use AtomicWriter from Chef Habitat core [#5803](https://github.com/habitat-sh/habitat/pull/5803) ([stevendanna](https://github.com/stevendanna))
- Re-add Travis jobs for publishing the website [#6190](https://github.com/habitat-sh/habitat/pull/6190) ([smacfarlane](https://github.com/smacfarlane))
- Automate the installation of nightly rustfmt in CI [#6181](https://github.com/habitat-sh/habitat/pull/6181) ([raskchanky](https://github.com/raskchanky))
- Update CODEOWNERS to remove stale contributors [#6174](https://github.com/habitat-sh/habitat/pull/6174) ([raskchanky](https://github.com/raskchanky))
- Add 0.75.0 release blog post [#6150](https://github.com/habitat-sh/habitat/pull/6150) ([smacfarlane](https://github.com/smacfarlane))
- Update to -dev version [#6184](https://github.com/habitat-sh/habitat/pull/6184) ([smacfarlane](https://github.com/smacfarlane))
- Update changelog for 0.75.0 release [#6180](https://github.com/habitat-sh/habitat/pull/6180) ([smacfarlane](https://github.com/smacfarlane))
